%define lib_api 1
%define lib_major 0
%define lib_name %mklibname planner %{lib_api} %{lib_major}
%define develname %mklibname -d planner
%define build_gda 1
%define title Planner
%define longtitle Project management tool
%define Summary Planner is a project management application for GNOME

Summary: 	%Summary
Name: 		planner
Version:	0.14.4
Release:	%mkrel 4
License: 	GPLv2+
Group: 		Office
Url:		http://live.gnome.org/Planner
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/planner/%{name}-%{version}.tar.bz2
Patch3:		planner-0.14.4-fix-str-fmt.patch
Patch4:		planner-0.14.4-linkage.patch
Patch5:		planner-0.14.4-install.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libglade2.0-devel
BuildRequires:	libgsf-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libxslt-devel >= 1.1.23
%if %{build_gda}
BuildRequires:	gda2.0-devel > 3.0.0
%endif
BuildRequires:	rarian
Buildrequires:	python-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	evolution-data-server-devel
BuildRequires:	evolution-devel
BuildRequires:	mono-devel
BuildRequires:  desktop-file-utils
BuildRequires:	gnome-common
#gw temporary, linkage problem with evolution:
BuildRequires: gnome-pilot-devel
Requires:	rarian
Obsoletes:	mrproject
Provides:	mrproject = %{version}-%{release}

Requires(post): desktop-file-utils shared-mime-info scrollkeeper
Requires(postun): desktop-file-utils shared-mime-info scrollkeeper

%description
Planner is a project management application for GNOME.

It was formely known as MrProject.

%package	python
Summary:	Python binding for Planner library
Group:		Development/GNOME and GTK+

%description	python
Python binding for Planner library

%package -n	%{lib_name}
Summary:	%{Summary}
Group:		System/Libraries
Obsoletes:	%mklibname planner- 1 0

%description -n	%{lib_name}
A support library for accessing Planner data.
 
%package -n	%{develname}
Summary:	The files needed for Planner application development
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	lib%{name}-1-devel = %version
Provides:	%name-devel = %version
Obsoletes:	%mklibname -d planner- 1 0

%description -n	%{develname}
This package contains the necessary include files
for developing applications that access Planner data.

%if %{build_gda}

%package	database
Summary:        Planner database support
Group:          Office
Requires:       %{name} = %{version}-%{release}
 
%description	database
Database support for Planner, this plugin can be used to store projects
in a PostgreSQL database.

%endif

%package        evolution
Summary:        Planner evolution support
Group:          Office
Requires:       %{name} = %{version}-%{release}
Requires:	evolution

%description    evolution
Evolution support for Planner, this plugin can be used with evolution.
 

%prep
%setup -q
%patch3 -p1 -b .fix-str-fmt
%patch4 -p0 -b .link
%patch5 -p0 -b .install

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x --enable-gtk-doc --enable-python --enable-python-plugin --enable-eds --enable-eds-backend --disable-update-mimedb --disable-schemas-install \
	%if %{build_gda}
		--with-database
	%endif

# FIXME: pygtk-codegen-2.0 creates code, which breaks strict aliasing
sed -i 's/^CFLAGS =/& -fno-strict-aliasing/' python/Makefile.in

%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

sed -i -e 's/^\(Icon=.*\).png$/\1/g' $RPM_BUILD_ROOT%{_datadir}/applications/planner.desktop 

#duplicate comments to GenericName for KDE (Mdv bug #33406)
sed -i -e 's/^Comment\(.*\)$/GenericName\1\nComment\1/g' $RPM_BUILD_ROOT%{_datadir}/applications/planner.desktop 

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/planner/views/*.la \
   $RPM_BUILD_ROOT%{_libdir}/planner/plugins/*.la \
   $RPM_BUILD_ROOT%{_libdir}/planner/file-modules/*.la \
   $RPM_BUILD_ROOT%{_libdir}/planner/storage-modules/*.la \
   $RPM_BUILD_ROOT%{_libdir}/planner/*.la \
   $RPM_BUILD_ROOT%{_libdir}/evolution-data-server-1.2/extensions/*.la \
   $RPM_BUILD_ROOT%{_libdir}/evolution/2.4/plugins/*.la \
   $RPM_BUILD_ROOT%{_datadir}/doc/planner \
   $RPM_BUILD_ROOT%{_datadir}/mime/{globs,XMLnamespaces,application,magic,aliases,subclasses}

%if %mdkversion < 200900
%post
%update_scrollkeeper
%update_menus
%{update_desktop_database}
%update_mime_database
%post_install_gconf_schemas planner
%update_icon_cache hicolor
%endif

%preun
%preun_uninstall_gconf_schemas planner

%if %mdkversion < 200900
%postun
%clean_scrollkeeper
%{clean_desktop_database}
%clean_mime_database
%clean_icon_cache hicolor
%clean_menus
%endif


%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%clean
rm -fr %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README examples/sample-1.planner
%{_sysconfdir}/gconf/schemas/planner.schemas
%{_bindir}/%{name}
%dir %{_libdir}/planner
%dir %{_libdir}/planner/plugins
#%{_libdir}/planner/libgantt-task.so
%{_libdir}/planner/file-modules
%{_libdir}/planner/plugins/libhtml-plugin.so
%{_libdir}/planner/plugins/libxmlplanner-plugin.so
%{_libdir}/planner/plugins/libmsp-plugin.so
%{_libdir}/planner/storage-modules/libstorage-mrproject-1.so
%{_datadir}/applications/*
%dir %{_datadir}/planner
%dir %{_datadir}/planner/glade
%{_datadir}/planner/glade/*-*.glade
%{_datadir}/planner/glade/eds.glade
%dir %{_datadir}/planner/ui
%{_datadir}/planner/ui/eds-plugin.ui
%{_datadir}/planner/ui/gantt-view.ui
%{_datadir}/planner/ui/resource-view.ui
%{_datadir}/planner/ui/time-table-view.ui
%{_datadir}/planner/ui/html-plugin.ui
%{_datadir}/planner/ui/xml-planner-plugin.ui
%{_datadir}/planner/ui/main-window.ui
%{_datadir}/planner/ui/msp-plugin.ui
%{_datadir}/planner/ui/task-view.ui
%{_datadir}/planner/dtd
%{_datadir}/planner/stylesheets
%dir %{_datadir}/planner/images/
%{_datadir}/planner/images/*
%{_datadir}/pixmaps/*
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf
%{_datadir}/mime/packages/*
%{_datadir}/icons/hicolor/48x48/mimetypes/*
%{_mandir}/man1/planner.*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/libplanner
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*

%files python
%defattr(-,root,root)
%{py_platsitedir}/*
%{_libdir}/planner/plugins/libpython-plugin.so

%if %{build_gda}
%files database
%defattr(-,root,root)
%doc docs/sql/README.sql
%{_libdir}/planner/storage-modules/libstorage-sql.so
%{_libdir}/planner/plugins/libsql-plugin.so
%{_datadir}/planner/glade/sql.glade
%{_datadir}/planner/ui/sql-plugin.ui
%{_datadir}/planner/sql
%endif

%files evolution
%defattr(-,root,root)
%{_libdir}/evolution-data-server-1.2/extensions/*
%{_libdir}/evolution/*/plugins/*
%{_libdir}/planner/plugins/libeds-plugin.so




%changelog
* Mon Jun 21 2010 Frederic Crozat <fcrozat@mandriva.com> 0.14.4-4mdv2010.1
+ Revision: 548447
- Rebuild with latest eds

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 0.14.4-3mdv2010.1
+ Revision: 489994
- rebuild for new libedata-cal

* Sat Jan 02 2010 Funda Wang <fwang@mandriva.org> 0.14.4-2mdv2010.1
+ Revision: 485062
- more linkage patch
- fix linkage
- fix install

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 0.14.4-2mdv2010.0
+ Revision: 374594
- rebuild for new evolution

* Thu Apr 16 2009 Götz Waschk <waschk@mandriva.org> 0.14.4-1mdv2009.1
+ Revision: 367599
- new version
- drop patches 0,1,2
- rediff patch 3
- update build deps

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 0.14.3-6mdv2009.1
+ Revision: 319797
- fix linkage and str fmt
- rebuild for new python

* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 0.14.3-5mdv2009.1
+ Revision: 299531
- rebuild for new evolution

* Wed Aug 06 2008 Götz Waschk <waschk@mandriva.org> 0.14.3-4mdv2009.0
+ Revision: 264240
- rebuild

* Mon Jul 07 2008 Götz Waschk <waschk@mandriva.org> 0.14.3-3mdv2009.0
+ Revision: 232452
- fix buildrequires
- fix build
- fix buildrequires
- rebuild for new evolution-data-server

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 17 2008 Funda Wang <fwang@mandriva.org> 0.14.3-2mdv2009.0
+ Revision: 208533
- fix libname
- new devel package policy
- BR newer version of libxslt
- fix URL and versioned BR

  + Frederik Himpe <fhimpe@mandriva.org>
    - Adapt to new license policy
    - Package NEWS file instead of huge ChangeLog file

* Sat May 17 2008 Funda Wang <fwang@mandriva.org> 0.14.3-1mdv2009.0
+ Revision: 208317
- BR gda3 instead of gda1
- New version 0.14.3

* Sun Feb 24 2008 Emmanuel Andry <eandry@mandriva.org> 0.14.2-10mdv2008.1
+ Revision: 174468
- replace scrollkeeper by rarian

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Frederic Crozat <fcrozat@mandriva.com> 0.14.2-9mdv2008.0
+ Revision: 90873
- Remove X-Mandriva-CrossDesktop category

* Tue Sep 18 2007 Frederic Crozat <fcrozat@mandriva.com> 0.14.2-8mdv2008.0
+ Revision: 89514
- Workaround KDE not supporting comments in .desktop by default (Mdv bug #33406)

* Thu Aug 30 2007 Frederic Crozat <fcrozat@mandriva.com> 0.14.2-7mdv2008.0
+ Revision: 75686
- Update patch1 for latest evolution
- Add GTK, GNOME and X-MandrivaCrossDesktop categories to .desktop file
- Remove sql file from main package

  + Thierry Vignaud <tv@mandriva.org>
    - replace %%{_datadir}/man by %%{_mandir}!
    - fix man pages


* Thu Feb 15 2007 Jérôme Soyer <saispo@mandriva.org> 0.14.2-6mdv2007.0
+ Revision: 121382
- Add BR
- Fix Menu

* Fri Jan 05 2007 Götz Waschk <waschk@mandriva.org> 0.14.2-5mdv2007.1
+ Revision: 104420
- reenable gda

* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 0.14.2-4mdv2007.1
+ Revision: 102550
- Rebuild with latest evolution/e-d-s

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 0.14.2-3mdv2007.1
+ Revision: 89467
- rebuild
- patch for evolution 2.9
- update patch 1 for new evolution
- unpack patches

* Mon Nov 27 2006 Jérôme Soyer <saispo@mandriva.org> 0.14.2-1mdv2007.1
+ Revision: 87356
- New release 0.14.2 / Patch 3 not needed
- Import planner

* Wed Sep 13 2006 Gtz Waschk <waschk@mandriva.org> 0.14-5mdv2007.0
- fix mime type (bug 25544)

* Tue Sep 05 2006 Gtz Waschk <waschk@mandriva.org> 0.14-4mdv2007.0
- spec fixes
- from Pascal Terjan <pterjan@mandriva.org>
 - Re-enable my patch fixing i18n and fix it
 - Fix a very old typo in %%install

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.14-3mdv2007.0
- Rebuild with latest dbus

* Thu Jul 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.14-2mdv2007.0
- Rebuild with latest evolution

* Tue Jul 04 2006 Jerome Soyer <saispo@mandriva.org> 0.14-1mdv2007.0
- New release 0.14
- Disable database for now
- Rediff patch for Evolution 
- XDG Menu

* Wed May 31 2006 Frederic Crozat <fcrozat@mandriva.com> 0.13-8mdv2007.0
- Fix preun script (Mdk bug #22625)

* Sat Apr 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.13-7mdk
- Regenerate patch1 for latest eds

* Tue Mar 28 2006 Jerome Soyer <saispo@mandriva.org> 0.13-6mdk
- Rebuild with the new gnome-db

* Sun Feb 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.13-5mdk
- add BuildRequires: intltool evolution-data-server-devel

* Fri Feb 17 2006 Pascal Terjan <pterjan@mandriva.org> 0.13-4mdk
- buildrequires gtk-doc and evolution-devel
- fix po/Makefile.in.in to not lose CATALOG= line (P3)
- fix files listed twice
- move plugins to the appropriate subpackages

* Wed Feb 15 2006 Jerome Soyer <saispo@mandriva.org> 0.13-3mdk
- rebuild with new gnome-db
- add patches

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13-2mdk
- rebuilt against openssl-0.9.8a

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 0.13-1mdk
- Release 0.13
- remove files which should have not been packaged

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.12.1-7mdk
- package missing files

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-6mdk 
- Rebuild with latest howl

* Sat Jan 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.12.1-5mdk
- add BuildRequires: pygtk2.0-devel

* Wed Dec 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-4mdk 
- Rebuild with latest gda

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.12.1-3mdk
- fix buildrequires
- fix summary-ended-with-dot

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.12.1-2mdk
- Rebuild for new  python

* Tue Aug 31 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-1mdk
- Release 0.12.1

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.12-2mdk
- Rebuild with new menu structure

* Sat Jul 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- New release 0.12
- Remove patches 0, 1 (no longer needed), 2 (merged upstream)

* Fri Jun 25 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-4mdk
- Patch0 (CVS): fix name of icon for window
- enable back libtoolize
- Move back aclocal and automake in %%prep 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
, they should remain there

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.11-3mdk
- run aclocal before automake and do them both in %%build, not %%prep

